package examenes.examen20241213;

import examenes.examen20241213.utils.Utils;

public class Ave extends Animal {
    private float envergaduraAlas = Utils.generarFloatAleatorioEntreLimites(15, 200);

    public Ave() {
    }

    @Override
    public float calcularEspacio() {
        return (float) (getPeso() * 1.5 + envergaduraAlas * 2);
    }

    public float getEnvergaduraAlas() {
        return envergaduraAlas;
    }

    public void setEnvergaduraAlas(float envergaduraAlas) {
        this.envergaduraAlas = envergaduraAlas;
    }

    @Override
    public String toString() {
        return "Ave{" +
                "nombre='" + getNombre() + '\'' +
                ", peso=" + getPeso() +
                ", envergaduraAlas=" + envergaduraAlas +
                ", espacio=" + getEspacio() +
                '}';
    }
}
